
ChiliProject - Bug # 406: Check for missing Journal code from the AAJ merge

Status: Closed Priority: Normal
Author: Eric Davis Category: Journals / History
Created: 2011-05-13 Assignee: Eric Davis
Updated: 2011-05-20 Due date:
Remote issue URL:
Affected version: unstable
Description: * Check JournalsController missing code that wasn't merged

* Check Journal model for missing code that wasn't merged
* Check Journals views for missing code that wasn't merged

Associated revisions
2011-05-21 12:37 am - Eric Davis
[#406] Added missing and removed unused code for Journals

acts_as_journalized changed the interfaces and didn't include all of
the recent changes to the Journals system.

* removed Journal diffs, acts_as_journalized handles them differently
* fixed the Journal atom feed
* added the journal preview back in
* added missing tests

History
2011-05-13 11:14 pm - Felix Schäfer
The @JournalsController@ is missing the index action, fix at 
https://github.com/finnlabs/chiliproject/commit/86ca7eb24d0091f3698f1d2562851579ce24a731.

2011-05-20 09:38 pm - Eric Davis
@git diff dabe5caa1ab4e4c5cc3ece50ff968d8b0c4be9a4^..dabe5caa1ab4e4c5cc3ece50ff968d8b0c4be9a app/controllers/journals_controller.rb@ is 
showing a lot of other missing code. I suspect some view changes are missing too.

2011-05-20 09:48 pm - Eric Davis
Model and helper look ok.

2011-05-20 10:46 pm - Eric Davis
- Status changed from Open to Closed

Did a review and merge of the missing code. Main changes:

* removed Journal diffs, acts_as_journalized handles them differently
* fixed the Journal atom feed
* added the journal preview back in
* missing tests

2020-10-25 1/1


